#!/bin/bash

package=poppler
version=-0.10.7

progname=$0

source ../../cascade-make/lib/cascade-lib.bash

prefix=$GEXTMUSICSTAND_INSTALLED

export CFLAGS="-I$prefix/include"
export LDFLAGS="-L$prefix/lib"

if [ ! -z $CROSSCOMPILE ] ; then
  export LIBTOOL=arm-poky-linux-gnueabi-libtool
  export PATH=$PATH:$prefix/devel/bin

##  export LDFLAGS="$LDFLAGS -L/usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi/usr/lib/"
fi

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version "$prefix"

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"

if [ $install = "1" ] ; then
  pushd $prefix/lib ; 
  for f in libpoppler-glib.la libpoppler.la ; do
    sed -i~ -e "s; /usr/lib/; /usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi/usr/lib/;g" $f
  done
  popd;
fi

opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
